OnlinePay API
V2
V1
V2
V1
  1. SEPA
  • Introduction
    • Introduction
    • How to Start
    • Country Code
    • Country Info
    • Currency Code
    • Error Code
    • Transfer Order Info Type
    • Transfer Order File Type
    • Per Bank
    • Spei Bank
    • Vietnam Bank
    • V2 Signature Specification
  • Payin
    • SEPA
      • SEPA Master Account API
        POST
      • SEPA Virtual Account API
        POST
      • SEPA Upload Kyc Files API
        POST
      • SEPA Submit EDD Files API
        POST
    • Credit Card API
      POST
    • Alipay API
      POST
    • GCash API
      POST
    • WeChat API
      POST
    • PIX API
      POST
    • Crypto API
      POST
    • Union Pay API
      POST
    • SPEI API
      POST
    • Per Transfer API
      POST
    • Cash App API
      POST
    • Google Pay API
      POST
    • Apple Pay API
      POST
    • MONO API
      POST
    • Vietnam Bank API
      POST
    • CheckOut API
      POST
    • CheckOut Payment API
      POST
    • OnRamps API
      GET
  • Payout
    • PER Transfer Payout API
    • Checkout Payout API
    • Card Payout API
    • Bank Account Payout API
    • PIX Payout API
    • PER Transfer Payout API
    • SPEI Payout API
    • CashApp Payout API
    • Checkout Payout API
    • Query Payout Order API
    • Supplement Payee Info API
  • Recharge
    • SEPA
      • Account
      • Virtual Account
  • Refund
    • Refund API
  • Card
    • Create Cardholder API
    • Create Card API
    • Active Card API
    • Freeze Card API
    • UnFreeze Card API
    • Cancel Card API
    • TopUp Card API
    • Card Withdraw API
    • Query Card Balance API
    • Query Card Info API
    • Query Card Transaction API
    • Add VPA Scene API
  • Query
    • Query Payout Order API
    • Query Order API
    • QueryOrderList API
    • QueryBalance API
    • QueryOrderAmount API
  • Notify
    • SEPA EDD KYC Notify Webhook API
    • Pay Notify WebHook API
    • Refund Notify WebHook API
    • Card Notify WebHook API
    • Chargeback Notify WebHook API
  • File
    • UploadFile API
  • Schemas
    • ApiResponse
    • V2EncryptedEnvelope
    • CreateAccountRequest
    • UserArray
    • V2EncryptedNotification
    • QueryPayOutV2Request
    • PayoutCheckStandV2Request
    • CheckStandV2Request
    • PayoutCheckStandV2Response
    • CreateAccountResponse
    • QueryPayOutV2Response
    • ProductParams
    • PaymentNotification
    • PaymentNotificationPayload
    • Category
    • RefundNotificationPayload
    • CreateAccountInfo
    • Pet
    • OrderQueryV2Data
    • PayoutQueryResult
    • CheckStandV2Response
    • PayoutCheckStandV2Data
    • Tag
    • ChargebackNotificationPayload
    • RechargeRequest
    • CheckStandV2Data
    • OrderQueryV2Request
    • OrderQueryV2Response
    • Order
    • RechargeResponse
    • User
    • RechargeAccountInfo
  1. SEPA

SEPA Upload Kyc Files API

Developing
Testing Env
https://testpay.onlinepay.ai
Testing Env
https://testpay.onlinepay.ai
POST
/v2/kyc/sepa/upload
Submit additional KYC documents.

Request

Header Params

Body Params application/jsonRequired

Example
{
    "merNo": "ON000001",
    "userId": "A00001",
    "sign": "abcdegf",
    "iban": "BE08473979000314",
    "bicSwift": "QPWJNIN8XXX",
    "idFiles": [
        "file_id_identity_front",
        "file_id_identity_back"
    ],
    "bankStatementFiles": [
        "file_id_bank_statement"
    ],
    "kycReportFiles": [
        "file_id_kyc_liveness_selfie_report"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://testpay.onlinepay.ai/v2/kyc/sepa/upload' \
--header 'Referer: https://example.com' \
--header 'User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/91.0.4472.124' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiJ9...' \
--header 'lang: en-US' \
--header 'Content-Type: application/json' \
--data '{
    "merNo": "ON000001",
    "userId": "A00001",
    "sign": "abcdegf",
    "iban": "BE08473979000314",
    "bicSwift": "QPWJNIN8XXX",
    "idFiles": [
        "file_id_identity_front",
        "file_id_identity_back"
    ],
    "bankStatementFiles": [
        "file_id_bank_statement"
    ],
    "kycReportFiles": [
        "file_id_kyc_liveness_selfie_report"
    ]
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "code": "00000",
    "message": "SUCCESS"
}
Modified at 2026-06-16 07:45:24
Previous
SEPA Virtual Account API
Next
SEPA Submit EDD Files API
Built with